TS-5400 Getting Started

Agilent TS-5400 Family Getting Started

This file describes how to use the TS-5400 software to control the Agilent E22xx and E8780 and E8785 Automotive Test Systems. The TS-5400 software consists of actions, testplans and utilities that are used with the test executive, Agilent TestExec SL, to operate the test system.

The Getting Started examples show you how to use each system. If you are a first-time user, we strongly recommend you perform the getting started example that applies to your system:

E22xx Systems Getting Started (with SM2040 DMM)

E22xx Systems Getting Started (with 34401 DMM)

E8780/8786 Systems Getting Started

What's New in Release 5.1?


E22xx Systems Getting Started (34401 DMM)

This getting started example shows you the fundamentals of controlling instruments and switching, and shows you where to find information in your system. Note: This example uses the 34401 DMM. If your system has an SM2040 DMM go to the example E22xx Systems Getting Started (SM2040 DMM).

The example below shows you how to configure the 34401 Digital Multimeter (DMM) and use it to measure the output voltage of the E66xx Power Supply. In this example you will learn to create a TestExec SL testplan that:

  • Configures the Power Supply's output voltage,

  • Creates a switch path using the N2262 Matrix to connect the DMM to the Power Supply,

  • Configures the DMM for DC voltage measurements and returns a reading.

In addition, the example shows you how to connect the wiring to the Test System Interface that, along with the above switchpath, connects the DMM's inputs to the Power Supply's outputs.

Click here to see the example wiring schematic

Examining the Testplan

  1. Open the E22xx Getting Started Testplan. From TestExec SL, click: File | Open and navigate to this testplan file:

    C:\Program Files\Agilent\TS-5400 System Software\testplan\e22xx 34401getstart.tpa

    Double click on the filename to open it.

  2. Notice that the Testplan Editor shows one testgroup named Output Voltage and Measure in the upper left corner of the editor. In a testplan, test groups contain a number of tests. In this example, there are two tests in the testgroup--Setup Power Supply, and Measure DCV. Each test contains one or more of actions that perform certain measurement and control operations.

  3. Click on testgroup Output Voltage and Measure. Notice that a Switching action is associated with the testgroup. Switching is often done at the testgroup level. This allows switchpaths to be connected at the beginning of the testgroup and to be disconnected at the end of the testgroup, after the measurement has been made.

  4. Click on the Switching action in the testgroup. Notice that this action has a single path (Path 1) that connects the nodes N2262:Row0 to N2262:Col0. This action will close the relay on the N2262 Matrix Module that connects Row 0 to Column 0.* For more information on switching actions and nodes as well as aliases and wires, refer to the TestExec SL online help. How do I?

  5. Click on test Setup Power Supply. This test has one action displayed in the right window of the editor:

    psProgVI    --configures and outputs a voltage from the power supply.

  6. By clicking on an action you can see the parameters associated with that action. For example, click on psProgVI in the Setup Power Supply test. One of the parameters for this action, voltage, configures the power supply to output 5Vdc.

  7. Click on test Measure DCV. This test also contains only one action:

    dmmMeasureDCV    --configures the DMM for measurements and gets the reading from the DMM.

    Click the dmmMeasureDCV action and then click [image]. Notice that Min/Max limit checking is enabled with an upper limit of 6.0V and a lower limit of 4.0V. If, after running the testplan, the measured voltage is within these limits, the test will display 'passed', if not 'failed' is displayed.

    Note:     Actions and action summaries are in this help file (use the Contents tab to find actions for a particular product). For more information on testplans, test groups, tests and actions, refer to the TestExec SL online help. How do I?

*Notice in the wiring schematic that the matrix module uses double-pole, double throw-type relays. That is, when the relay closes, both the H and L connections are made. For this reason, you only have to put in one switchpath to connect both H and L lines for the matrix module. For other switch modules, such as the N2261 Multiplexer, you will have to put a switchpath in for each of the H and L lines.

Wiring the Connector Block

As shown in the wiring schematic you need to connect wires between these connectors on the mating connector for Test System Interface connector TC1:

  • TC1,S6 to TC1,V6

  • TC1,S5 to TC1,V5

  • TC1,X2 to TC1,G2

  • TC1,X1 to TC1,G1.

Your system came with a manual entitled "TS-5410 Wiring Guide and Hardware Reference". This manual describes all the details for connecting wiring to the Test System Interface. It also contains pin maps for each of the connectors TC1 through TC4. This manual is also available online from the Test Exec SL tools menu. How do I?

Once the mating connector is wired, you can install it onto TC1 and run the testplan. From Test Exec SL click [image] to run the testplan. If everything was done correctly, the testplan will source 5VDC from the power supply, measure it with the DMM and display the result.


E22xx Systems Getting Started (SM2040 DMM)

This getting started example shows you the fundamentals of controlling instruments and switching, and shows you where to find information in your system.

Note: This example uses the SM2040 DMM. If your system has a 34401 DMM go to the example E22xx Systems Getting Started (34401 DMM).

The example below shows you how to configure the SM2040 Digital Multimeter (DMM) and use it to measure the output voltage of the E66xx Power Supply. In this example you will learn to create a TestExec SL testplan that:

  • Configures the DMM for measurements,

  • Configures the Power Supply's output voltage,

  • Creates a switch path using the N2262 Matrix to connect the DMM to the Power Supply.

In addition, the example shows you how to connect the wiring to the Test System Interface that, along with the above switchpath, connects the DMM's inputs to the Power Supply's outputs.

Click here to see the example wiring schematic

Examining the Testplan

  1. Open the getting started testplan. From TestExec SL, click: File | Open and navigate to this testplan file:

    C:\Program Files\Agilent\TS-5400 System Software\testplan\e22xx SM2040getstart.tpa

    Double click on the filename to open it.

  2. Notice that the Testplan Editor shows one testgroup named Output Voltage and Measure in the upper left corner of the editor. In a testplan, test groups contain a number of tests. In this example, there are two tests in the testgroup--Setup Power Supply, and Measure DCV. Each test contains one or more of actions that perform certain measurement and control operations.

  3. Click on testgroup Output Power Supply Voltage and Measure. Notice that a Switching action is associated with the testgroup. Switching is often done at the testgroup level. This allows switchpaths to be connected at the beginning of the testgroup and to be disconnected at the end of the testgroup, after the measurement has been made.

  4. Click on the Switching action in the testgroup. Notice that this action has a single path (Path 1) that connects the nodes N2262:Row0 to N2262:Col0. This action will close the relay on the N2262 Matrix Module that connects Row 0 to Column 0.* For more information on switching actions and nodes as well as aliases and wires, refer to the TestExec SL online help. How do I?

  5. Click on test Setup Power Supply. This test has one action displayed in the right window of the editor:

    psProgVI    --configures and outputs a voltage from the power supply.

  6. By clicking on an action you can see the parameters associated with that action. For example, click on psProgVI in the Setup Power Supply. One of the parameters for this action, voltage, configures the power supply to output 5Vdc.

  7. Click on test Measure DCV. This test contains two actions:

    SM2040ConfigureMeasurement    --configures the DMM for measurements.
    SM2040Read    --gets the reading from the DMM.

    Click the SM2040Read action and then click [image]. Notice that Min/Max limit checking is enabled with an upper limit of 6.0V and a lower limit of 4.0V. If, after running the testplan, the measured voltage is within these limits, the test will display 'passed', if not 'failed' is displayed.

    Note:     Actions and action summaries are in this help file (use the Contents tab to find actions for a particular product). For more information on testplans, test groups, tests and actions, refer to the TestExec SL online help. How do I?

*Notice in the wiring schematic that the matrix module uses double-pole, double throw-type relays. That is, when the relay closes, both the H and L connections are made. For this reason, you only have to put in one switchpath to connect both H and L lines for the matrix module. For other switch modules, such as the N2261 Multiplexer, you will have to put a switchpath in for each of the H and L lines.

Wiring the Connector Block

As shown in the wiring schematic you need to connect wires between these connectors on the mating connector for Test System Interface connector TC1:

  • TC1,S6 to TC1,V6

  • TC1,S5 to TC1,V5

  • TC1,X2 to TC1,G2

  • TC1,X1 to TC1,G1.

Your system came with a manual entitled "TS-5410 Wiring Guide and Hardware Reference". This manual describes all the details for connecting wiring to the Test System Interface. It also contains pin maps for each of the connectors TC1 through TC4. This manual is also available online from the Test Exec SL tools menu. How do I?

Once the mating connector is wired, you can install it onto TC1 and run the testplan. From Test Exec SL click [image] to run the testplan. If everything was done correctly, the testplan will source 5VDC from the power supply, measure it with the DMM and display the result.


E8780/8786 Systems Getting Started

The MEASRES.TPA is a good testplan to use when getting started with E8780/8786 systems having an E6171 Measurement Control Module (MCM) and an E1411 Digital Multimeter (DMM). This testplan uses the dmmMeasureOhms Action to measure a 1000 ohm resistor at medium speed and medium accuracy. The DMM makes a four wire ohms measurement with the DMM input and current source connections to ABus1 and UUT Common.

To make an actual 1000 ohm measurement, connect a 1000 ohm resistor between the ABus1 terminal and UUT Common

Examining the Testplan

  1. Open the Measres.tpa testplan. From TestExec SL, click: File | Open and navigate to this testplan file:

    C:\Program Files\Agilent\TS-5400 System Software\testplan\Measres.tpa

    Double click on the filename to open it.

  2. Notice that the Testplan Editor shows one testgroup named DMM meas Ohms in the upper left corner of the editor. In a testplan, test groups contain a number of tests. In this example, there is one test in the testgroup--Meas ohm. Tests contain one or more of actions that perform certain measurement and control operations.

  3. Click on testgroup DMM meas Ohms. Notice that a Switching action is associated with the testgroup. Switching is often done at the testgroup level. This allows switchpaths to be connected at the beginning of the testgroup and to be disconnected at the end of the testgroup, after the measurement has been made.

  4. Click on the Switching action in the testgroup. Notice that this action has four paths (described below). Each path connects nodes such as SrcHi to ABus1. Switching actions close the appropriate relays to connect the specified nodes together. For more information on switching actions and nodes as well as aliases and wires, refer to the TestExec SL online help. How do I?

  5. Click on test Meas ohm. This test has three actions (described below) displayed in the right window of the editor. The test and switching actions are described below.

Test and Action Names | Parameter Name | Parameter Value | Description
testgroup DMM meas Ohms |  |  |
globalReset |  |  | Resets all instruments in system
(Reset instruments) |  |  |
Switching | [ISrcHi ABus1] |  | DMM Current Source Hi to ABus1
(Connects DMM to | [DVMHi ABus1] |  | DMM Hi to ABus1
Resistor) | [DVMLo UUTCommon] |  | DMM Lo to UUT Common
 | [ISrcLo UUTCommon] |  | DMM Current Source Lo to UUT Common
 | At Test Setup: | Connect Paths | Connect paths at test setup
 | At Test Cleanup: | Disconnect Paths | Disconnect paths at cleanup
test Meas ohm |  |  |
DialogOkay | prompt | Connect 1 k ohm resistor to Abus1. | Prompt for connections
dmmMeasureOhms | dmm | @hwconfig.dmm | DMM inst handle
(Configure DMM) | AccuracySpeed | 1 | High speed and low accuracy
 | ExpectedReading | 2000 | Maximum reading value returned
 | MeasurementMode | 2 | see below
 | Result | 0.0 | Not Applicable (see below)
dmmGetResults | dmm | @hwconfig.dmm | DMM inst handle
(Return reading) | trigfirst | 0 | No trigger generated before reading
 | numresults | 1 | 1 number of readings to return
 | result | 0.0 | Returned reading
 | Limits | result: L: 950.0 H: 1050.0 |
end testgroup |  |  |

The above example uses a "MeasurementMode" parameter of "2" which configures the DMM for the measurement and makes the measurement. The example requires dmmGetresults to return the reading.


E22xx Getting Started Schematic


What's New in This Release

Version 5.1V of the Agilent TS-5400 Software has these new features:

  • Support for the Agilent E22xx Automotive Test Systems,

  • Support for the Agilent 33220A Function/Arbitrary Waveform Generator,

  • Support for instruments having IVI COM drivers,

  • Action directories are structured by instrument and by function, making it easier to find the actions you need,